## NAME

v.alabel - Bulk-labels unlabeled area features in a binary GRASS vector file.
(GRASS Vector Program)

## SYNOPSIS

v.alabel
v.alabel help
v.alabel [-i] map=name [value=value] [label=value]

## DESCRIPTION

v.alabel allows the user to bulk-label currently unlabeled polygons (area features) in a binary GRASS vector file (i.e., a dig file). The user must run v.support on the vector file before running v.alabel if any modifications have been made to the file since the last time v.support was run on it, to ensure that all area features are properly identified in the file topology.

The user must also run v.support on the vector file after v.alabel is run for labeling changes to be made evident.

v.support builds GRASS support files for (binary) GRASS vector data files. These support files supply topology (dig_plus) and category (dig_att, dig_cats) information that are needed by other GRASS programs (e.g., by v.digit, v.to.rast, etc.).

## OPTIONS

Program parameters and flags have the following meanings.

### Flags:

-i
  Label areas incrementally. For each unique, unlabeled polygon in the vector file, increment the category value by one, starting from the initial user-assigned value.

### Parameters:

map=name
  Name of binary GRASS vector data file whose unlabeled areas are to be labelled. This map layer must exist in the user's current GRASS mapset.
value=value
  The category value to be assigned to all unlabeled areas in the vector map layer. If the -i flag is set, v.alabel will increment the initial value by one for each unique unlabeled polygon in the vector map.
  Default: 1
label=value
  The category label to be assigned to all unlabeled areas in the vector map layer. If not specified, each category added will have an empty label in the dig_cats file.

The user can run this program non-interactively by specifying parameter values (and optionally, the flag setting) on the command line.

Alternately, the user can simply type the command v.alabel on the command line. In this event, the program will prompt the user to enter parameter values and flag settings.

## NOTES

A dig_plus file must be created for each imported vector map before it can be used in post-GRASS 3.0 versions of digit (now referred to as v.digit).

Topological information for GRASS vector files can also be built using option 4 of the v.import program.

The user can bulk-label unlabeled line features in a binary vector file using v.digit.

## SEE ALSO

v.digit
v.import
v.in.ascii
v.prune
v.support
v.to.rast

## AUTHORS

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/03/03 18:50:50 $